Zum Inhalt springen

MediaWiki:Common.css: Unterschied zwischen den Versionen

Aus ibKastl Wiki
Keine Bearbeitungszusammenfassung
Keine Bearbeitungszusammenfassung
Zeile 166: Zeile 166:


.container.card {
.container.card {
   background-color: transparent;
   background-color: rgba(255,255,255,0.3);
   /*#ffffff*/
   /*#ffffff*/
}
}
Zeile 172: Zeile 172:
@media screen {
@media screen {
   html.skin-theme-clientpref-night .container.card {
   html.skin-theme-clientpref-night .container.card {
     background-color: transparent;
     background-color: rgba(255,255,255,0.3);
     /*#333333*/
     /*#333333*/
   }
   }

Version vom 17. Mai 2026, 11:24 Uhr

/* Hide full-width toggle button in Vector 2022 */
/*
.vector-settings {
  display: none !important;
}
*/

/* Logo */
.mw-logo-icon {
	margin-left: 15px;
}

/*alle Bilder transparent*/
img {
  background-color: transparent !important;
}

.white-bg img {
  background-color: #FFFFFF !important;;
}

.grey-bg img {
  background-color: #B0B0B0 !important;;
}

/*Abstand Menüpunkte verkleinert*/
.vector-pinnable-element .mw-list-item a, .vector-dropdown-content .mw-list-item a {
	padding: 3px 0;
}

/* Umschalten zum bisherigen Aussehen ausblenden */
div.vector-main-menu-action {
display: none;
}

/* Hilfe auf Kategorie-Seiten ausblenden */
div#mw-indicator-mw-helplink.mw-indicator {
display: none;
}

/* Inhaltsverzeichnis rechts */
div.float-right, table.float-right, ul.float-right, .float-right {
    clear: right;
    float: right;
    margin: 1em 0 1em 1em;
    display: block;
}

/* Colapse */
.mw-collapsible-toggle {
    float: none !important;
    display: inline-block !important;
}

/* Tabelle *//*
.wikitable {
    border-collapse: collapse;
    width: auto;
}*/

.wikitable td, .wikitable.customers th {
    border: 1px solid #ddd;
    padding: 8px;
}

.wikitable tr:nth-child(even){background-color: rgba(232, 232, 232, 0.4);}

.wikitable tr:hover {background-color: rgba(133, 133, 133, 0.4);}

.wikitable th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: rgba(163, 193, 221, 0.4) !important;
    color: black;
}

.wikitable.standard td {
    text-align: left;
    vertical-align: top;
}

.wikitable.green th {
    background-color: #B3CBAB !important;
}

.wikitable.yellow th {
    background-color: #FFFFD6 !important;
}

.wikitable.red th {
    background-color: #FFE5E5 !important;
}


/* Überschriften */
.vector-sticky-header-context-bar-primary {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h1 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h2 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h3 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h4 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h5 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h6 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

/* Texte */
.mw-body h1 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

.mw-body h2 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

mw-headline {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

html, body {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

/* Klassen für Container und FlexBox */

.container {
border: 1px solid rgba(255, 255, 255, 0.1);
margin: 8px 4px 8px 4px;  
padding: 10px 10px 12px 10px; 
-moz-border-radius: 5px; 
-webkit-border-radius: 5px; 
border-radius:5px;
/*margin-bottom: 0px; 
padding-top: 0px;*/
}

.container.c {
background-color: #c9e8d4;
/*#c9e9d4;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.c {
    background-color: rgba(41, 98, 60, 0.6);
    /*#29623c*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.c {
    background-color: rgba(41, 98, 60, 0.6);
  }
}

.container.card {
  background-color: rgba(255,255,255,0.3);
  /*#ffffff*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.card {
    background-color: rgba(255,255,255,0.3);
    /*#333333*/
  }
}

.container.ibkastl {
  background-color: rgba(237, 239, 242, 0.6);
  /*#f8f9fa;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.ibkastl {
    background-color: #14171c;
    /*#242b33*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.ibkastl {
    background-color: #14171c;
  }
}

.container.pnw {
  background-color: #ffe9d4;
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.pnw {
    background-color: #ad5500;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.pnw {
    background-color: #ad5500;
  }
}

.container.white {
background-color: rgb(255, 255, 255);
}

.container.eplan {
background-color: rgb(255, 212, 220);
/*#ffd4dc*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.eplan {
    background-color: rgba(255, 212, 220, 0.3);
    /*rgba(72, 23, 46, 0.6)e*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.eplan {
    background-color: rgba(72, 23, 46, 0.6);
  }
}


.container.knowledge {
background-color: #eee8f3;
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.knowledge {
    background-color: #5d3e77;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.knowledge {
    background-color: #5d3e77;
  }
}

.container.md3 {
background-color: rgb(182, 234, 237);
/*#b6eaed*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.md3 {
    background-color: rgba(182, 234, 237, 0.4);
    /*rgba(12, 79, 92, 0.4)*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.md3 {
    background-color: rgba(12, 79, 92, 0.4);
  }
}

.container.mediawiki { 
background-color: #d9d9d9;
/*#dbe1e7;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.mediawiki {
    background-color: rgba(217, 217, 217, 0.2);
    /*rgba(71, 88, 106, 0.6);*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.mediawiki {
    background-color: rgba(71, 88, 106, 0.6);
  }
}

.container.standard {
background-color: rgb(210, 229, 247);
/*#d2e5f7*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.standard {
    background-color: rgba(210, 229, 247, 0.4);
    /*rgba(15, 51, 83, 0.6)*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.standard {
    background-color: rgba(15, 51, 83, 0.6);
  }
}

.container.bosch {
background-color: #cdede2;
/*#ccece2*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.bosch {
    background-color: rgba(78, 97, 90, 0.6);
    /*#4e615a*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.bosch {
    background-color: rgba(78, 97, 90, 0.6);
  }
}

.container.boschfile {
background-color: #fff6cd;
/*#fff6cd*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.boschfile {
    background-color: rgba(126, 103, 0, 0.6);
    /*#7e6700*/
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.boschfile {
    background-color: rgba(126, 103, 0, 0.6);
  }
}

.flex{
display:-webkit-flex;
display:-ms-flexbox; /* IE 10 */
display:flex;

-webkit-flex-wrap:wrap;
-ms-flex-wrap:wrap; /* IE 10 */
flex-wrap:wrap;

-webkit-justify-content:space-around;
-ms-flex-pack:justify; /* IE 10 */
justify-content:space-around;

}

.flex.end{
-webkit-align-items:flex-end;
-ms-flex-align: end; /* IE 10 */
align-items:flex-end;

-webkit-align-content:flex-end;
-ms-flex-line-pack:end; /* IE 10 */
align-content:flex-end;

}

.flex.start{
-webkit-align-items:flex-start;
-ms-flex-align:start; /* IE 10 */
align-items:flex-start;

-webkit-align-content:flex-start;
-ms-flex-line-pack:start; /* IE 10 */
align-content:flex-start;
}